#!/bin/sh

#
# Taken from http://rignesnet.tzo.com/articles/mailto_helper.html
# ...and modified a little...
#

MAILTO_URL="$@"

app=$(kreadconfig --file emaildefaults --group PROFILE_Default --key EmailClient --default kmail)

if [ -z "$app" ]; then
    app=kmail
fi

case "${app##*/}" in
    "mozilla-thunderbird" | "thunderbird" | "evolution")
        $app "$MAILTO_URL"
        ;;
    "kmailservice" | "kmail")
        kmailservice "$MAILTO_URL"
        ;;
    *)
        # Strip off the protocol
        MAIL_DATA=${MAILTO_URL#mailto:}

        # Get Recipient and strip it off
        RECIPIENT=${MAIL_DATA%%\?*}
        MAIL_DATA=${MAIL_DATA#*\?}

		SUBJECT= BCC= CC=
        # Get Subject,BCC, and CC
		if [ "${MAIL_DATA#*subject=}" != "${MAIL_DATA}" ]; then
			SUBJECT=${MAIL_DATA#*subject=}
			SUBJECT=${SUBJECT%%&*}
		fi
		if [ "${MAIL_DATA#*bcc=}" != "${MAIL_DATA}" ]; then
			BCC=${MAIL_DATA#*bcc=}
			BCC=${BCC%%&*}
		fi
		if [ "${MAIL_DATA#*cc=}" != "${MAIL_DATA}" ]; then
			CC=${MAIL_DATA#*cc=}
			CC=${CC%%&*}
		fi
        $app "$RECIPIENT" -b "$BCC" -c "$CC" -s "$SUBJECT"
        ;;
esac

